package com.bonus.boot.manager.physical.service;

import com.bonus.boot.manager.basic.entity.MapBean;
import com.bonus.boot.manager.basic.entity.PersonnelLibraryBean;
import com.bonus.boot.manager.manager.entity.R;
import org.apache.ibatis.annotations.Mapper;

import java.util.List;

/** 离退休体检预约
 * @author xliu
 * @Data 2023/5/31 9:30
 */
@Mapper
public interface RetiremenService {

    List<PersonnelLibraryBean> getList(PersonnelLibraryBean o);

    R addReservationData(PersonnelLibraryBean o);

    int cancelReservation(String ifCancel,String id);

    MapBean getRetirementNum(MapBean o);

}
